PETSc version 3.15.5
Fix/Edit manual page

# PetscMatlabEngineGetArray

Gets a variable from MATLAB into an array

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEngineGetArray(PetscMatlabEngine mengine,int m,int n,PetscScalar *array,const char name[])

Not Collective

### Input Parameters

| mengine | - the MATLAB engine
| m,n | - the dimensions of the array
| array | - the array (represented in one dimension)
| name | - the name of the array

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEnginePut(), PetscMatlabEngineCreate(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), PetscMatlabEngineGet(), PetscMatlabEngine

### Level

advanced

### Location

src/sys/classes/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages